[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#714609: dpkg and xz compression



Hi Boris,

Am Montag, den 01.07.2013, 17:13 +0300 schrieb Boris Pek:
> Sorry, it is my fault. I have just remembered that tar is used in astromenace.postinst.

as far as I understand the issue, xz support has been added to dpkg.
That means that dpkg can now extract deb packages that have been
compressed with xz. That does not mean, however, that you can rely on xz
being available in the postinst of your package -- astromenace in this
specific case. Quite the contrary, native support for the xz format in
dpkg means that it is no more necessary for the xz utility to be
installed by default. Therefore, if your package needs it, it should
depend on it.

 - Fabian



Reply to: